Bug 1267731 - ldif2db/ldif2db.pl errors
ldif2db/ldif2db.pl errors
Status: CLOSED CURRENTRELEASE
Product: Red Hat Directory Server
Classification: Red Hat
Component: Doc-administration-guide (Show other bugs)
9.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Marc Muehlfeld
Viktor Ashirov
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-30 15:47 EDT by Donald Berry
Modified: 2016-12-16 05:36 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-16 05:36:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Donald Berry 2015-09-30 15:47:33 EDT
Description of problem:

1. Section 4,1,6,1 specifies the path to ldif2db as:

/etc/dirsrv/slapd-instance_name/ldif2db

It should be:

/var/lib64/dirsrv/slapd-instance_name/ldif2db

2. Section 4.1.6.2 says ldif2db instead of ldif2db.pl:

Run the ldif2db script.
[root@server ~]# ldif2db -D "cn=Directory Manager" -w secret -i
/var/lib/dirsrv/slapd-instance_name/ldif/demo.ldif -n Database1
...
Table 4 .3. ldif2db Options
Comment 1 Viktor Ashirov 2015-10-01 05:03:23 EDT
> It should be:
> 
> /var/lib64/dirsrv/slapd-instance_name/ldif2db
Small correction: 
on i686: /usr/lib/dirsrv/slapd-instance_name/ldif2db
on x86_64: /usr/lib64/dirsrv/slapd-instance_name/ldif2db

> 2. Section 4.1.6.2 says ldif2db instead of ldif2db.pl:
> 
> Run the ldif2db script.
RHDS10 doc also needs a fix:

https://access.redhat.com/documentation/en-US/Red_Hat_Directory_Server/10/html/Administration_Guide/Populating_Directory_Databases.html#Importing_from_the_Command_Line-Importing_Using_the_ldif2db.pl_Perl_Script
Comment 3 Marc Muehlfeld 2016-12-16 05:36:54 EST
The update is now available on the Customer Portal.

Note You need to log in before you can comment on or make changes to this bug.